(function($) {
    'use strict';

  /*mean menu js for responsive menu*/
  $('.menu-top-menu-container').meanmenu({
    meanMenuContainer: '.main-navigation',
    meanScreenWidth:"840",
    meanRevealPosition: "left",
  });

  /* search toggle */
  $(".search-toggle").on("click", function () {
    $(".search-section").toggleClass("search-active");
  });

  /*slide toggle header-info for responsive*/
  $(".header-info-responsive").on("click",function(){
    $(".header-appoint-wrap").slideToggle();
    $(this).toggleClass('active');
  });

  /*appointment dialog active*/
  $(".header-appointment").on("click",function () {
    $(".appointment-dialog").toggleClass("active");
  });
  $(".appointmentclose").on("click",function () {
    $(".appointment-dialog").removeClass("active");
  });


  /*tab js*/
  $('.section-tabs ul li.tab-link').on("click",function () {
    var tab_class = $(this).attr('data-tab');
    $('.section-tabs ul li.tab-link').removeClass('current');
    $('.tab-content').removeClass('current');
    $(this).addClass('current');
    $("." + tab_class).addClass('current');
  });

  /*faq page accordian*/
  $(".faq-accordion").accordion({
    heightStyle: "content"
  });

  /*sticky sidebar*/
  jQuery('#primary , #secondary').theiaStickySidebar({
    additionalMarginTop: 30
  });

  /*pop up of gallery sections*/
  $('.gallery-section').magnificPopup({
    delegate: 'a',
    type: 'image',
    tLoading: 'Loading image #%curr%...',
    mainClass: 'mfp-img-mobile',
    gallery: {
      enabled: true,
      navigateByImgClick: true,
      preload: [0, 1] // Will preload 0 - before current, and 1 after the current image
    },
    image: {
      tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
      titleSrc: function (item) {
        return item.el.attr('title');
      }
    }
  });

  /*parallax effect of banner slider and page-title*/
  $(window).on("scroll",function (){
  if(window.innerWidth > 992){
      var scroll = $(window).scrollTop();
      var speed = 0.5;
      $('.slider-content').each(function () {
        var $this = $(this);
        var $parent = $this.parent();
        var topOffset = $parent.offset().top;
        var height = $parent.outerHeight(true);
        var parallaxSize = (scroll - topOffset) * speed;
        // prevent parallax when scroll down
        if (scroll > topOffset + height){
          return;
        }
        $this.css({
          'transform': scroll >= topOffset ? ('translateY(' + parallaxSize + 'px)') : ''
        });
      });
    }
  });

  /*footer info-wrap scrollbar when height exceeds*/
  $(window).on("resize",function() {
    if(window.innerWidth > 992) {
        $(".site-footer .info-wrap, .site-footer .subscription_field").mCustomScrollbar();
    } else {
        $(".site-footer .info-wrap, .site-footer .subscription_field").mCustomScrollbar('destroy')
    }
  });

  /* back-to-top button*/
  $('.back-to-top').hide();
  $('.back-to-top').on("click", function (e) {
    e.preventDefault();
    $('html, body').animate({
      scrollTop: 0
    }, 'slow');
  });
  $(window).on("scroll",function () {
    var scrollheight = 400;
    if ($(window).scrollTop() > scrollheight) {
      $('.back-to-top').fadeIn();
    } else {
      $('.back-to-top').fadeOut();
    }
  });

})(jQuery);