<?php
/**
 * Easy Digital Downloads helper functions
 *
 * @package RT_Health
 */

/**
 * Current Page is EDD page
 */
if ( ! function_exists( 'rt_health_is_edd_page' ) ) :

	/**
	 * Check current page is an EDD page
	 *
	 * @since 1.0.0
	 * @return bool true | false
	 */
	function rt_health_is_edd_page() {
		if (
			is_singular( 'download' ) ||
			is_post_type_archive( 'download' ) ||
			is_tax( 'download_category' ) ||
			is_tax( 'download_tag' ) ||
			edd_is_checkout() ||
			edd_is_success_page() ||
			edd_is_failed_transaction_page() ||
			edd_is_purchase_history_page()
		) {
			return true;
		}
		return false;
	}

endif;

/**
 * Current Page is EDD single Product page
 */
if ( ! function_exists( 'rt_health_is_edd_single_product_page' ) ) :

	/**
	 * Check current page is an EDD single product page
	 *
	 * @since 1.0.0
	 * @return bool true | false
	 */
	function rt_health_is_edd_single_product_page() {
		if ( is_singular( 'download' ) ) {
			return true;
		}
		return false;
	}

endif;