<?php
/**
 * Footer Theme Customizer
 *
 * @package RT_Health
 */
$default = rt_health_get_default_theme_options();

/****************  Footer Setting Section starts ************/
$wp_customize->add_section('section_footer', 
    array(    
    'title'       => esc_html__('Footer Setting', 'rt-health'),
    'panel'       => 'theme_option_panel'    
    )
);

/*************** Setting copyright text. *****************************/
$wp_customize->add_setting( 'theme_options[copyright_text]',
    array(
    'default'           => $default['copyright_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'theme_options[copyright_text]',
    array(
    'label'    => esc_html__( 'Copyright Text', 'rt-health' ),
    'section'  => 'section_footer',
    'type'     => 'text',
    )
);

/********************* Enable Scroll to Top ****************************/
$wp_customize->add_setting( 'theme_options[enable_scrollto_top]',
    array(
        'default'           => $default['enable_scrollto_top'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'rt_health_sanitize_checkbox',
    )
);
$wp_customize->add_control( 'theme_options[enable_scrollto_top]',
    array(
        'label'    => esc_html__( 'Enable Back to Top', 'rt-health' ),
        'section'  => 'section_footer',
        'type'     => 'checkbox',  
        'priority' => 20,          
    )
);