<?php
/**
 * Menu Theme Customizer
 *
 * @package RT_Health
 */
$default = rt_health_get_default_theme_options();


/****************  Header Setting Section starts ************/
$wp_customize->add_section('section_menu', 
	array(    
	'title'       => esc_html__('Menu Setting', 'rt-health'),
	'panel'       => 'theme_option_panel'    
	)
);
// Enable Nav Menu
$wp_customize->add_setting( 'theme_options[enable_menu]',
    array(
        'default'           => $default['enable_menu'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'rt_health_sanitize_checkbox',        
    )
);
$wp_customize->add_control( 'theme_options[enable_menu]',
    array(
        'label'    => esc_html__( 'Enable Main Menu', 'rt-health' ),
        'section'  => 'section_menu',
        'type'     => 'checkbox',
        'priority' => 10,       
    )
);
// Enable Search Section
$wp_customize->add_setting( 'theme_options[enable_search]',
    array(
        'default'           => $default['enable_search'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'rt_health_sanitize_checkbox',        
    )
);
$wp_customize->add_control( 'theme_options[enable_search]',
    array(
        'label'    => esc_html__( 'Enable Search', 'rt-health' ),
        'section'  => 'section_menu',
        'type'     => 'checkbox',
        'priority' => 10,       
    )
);
// Enable Social Menu
$wp_customize->add_setting( 'theme_options[enable_social_menu]',
    array(
        'default'           => $default['enable_social_menu'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'rt_health_sanitize_checkbox',        
    )
);
$wp_customize->add_control( 'theme_options[enable_social_menu]',
    array(
        'label'    => esc_html__( 'Enable Social Menu', 'rt-health' ),
        'section'  => 'section_menu',
        'type'     => 'checkbox',
        'priority' => 10,       
    )
);
/******************** Adress Section **************************************/
$wp_customize->add_setting( 'theme_options[icon_secton]', array(
    'sanitize_callback' => 'rt_health_sanitize_repeater',
    'default' => json_encode(
        array(
            array(
                'icon_url'      => '',
            )
        )
    )
));

$wp_customize->add_control(  new RT_Health_Repeater_Controler( $wp_customize, 'theme_options[icon_secton]', 
    array(
        'label'             => esc_html__('Social Icon Options','rt-health'),
        'section'           => 'section_menu',
        'box_label'         => esc_html__('Social Icon','rt-health'),
        'box_add_control'   => esc_html__('Add Social Icon','rt-health'),
        'active_callback'    => 'rt_health_header_icon',
        'priority' => 15,   
    ),
    array(
        'icon_url'  => array(
        'type'        => 'text',
        'label'       => esc_html__( 'Enter Url', 'rt-health' ),
        'default'     => '',               
        ),      
    )
));

if ( rt_health_is_woocommerce_active() ): 
	// Enable Woo Cart
	$wp_customize->add_setting( 'theme_options[enable_woo_cart]',
	    array(
	        'default'           => $default['enable_woo_cart'],
	        'capability'        => 'edit_theme_options',
	        'sanitize_callback' => 'rt_health_sanitize_checkbox',        
	    )
	);
	$wp_customize->add_control( 'theme_options[enable_woo_cart]',
	    array(
	        'label'    => esc_html__( 'Enable Woo Cart', 'rt-health' ),
	        'section'  => 'section_menu',
	        'type'     => 'checkbox',
	        'priority' => 10,       
	    )
	);
	
endif; 