<?php
/**
 * Theme Customizer
 *
 * @package RT_Health
 */
$default = rt_health_get_default_theme_options();

/****************  Add Pannel   ***********************/
$wp_customize->add_panel( 'theme_option_panel',
	array(
	'title'      => esc_html__( 'Theme Options', 'rt-health' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	)
);

/************************  Site Identity  ******************/
$wp_customize->add_setting('theme_options[site_identity]', 
    array(
    'default'           => $default['site_identity'],
    'sanitize_callback' => 'rt_health_sanitize_select'
    )
);
$wp_customize->add_control('theme_options[site_identity]', 
    array(      
    'label'     => esc_html__('Choose Option', 'rt-health'),
    'section'   => 'title_tagline',
    'settings'  => 'theme_options[site_identity]',
    'type'      => 'radio',
    'choices'   =>  array(
            'logo-only'     => esc_html__('Logo Only', 'rt-health'),
            'logo-title'    => esc_html__('Logo + Title', 'rt-health'),
            'logo-text'     => esc_html__('Logo + Tagline', 'rt-health'),
            'title-only'    => esc_html__('Title Only', 'rt-health'),
            'title-text'    => esc_html__('Title + Tagline', 'rt-health'),
        )
    )
);

/********************* Breadcrumbs ****************************/
$wp_customize->add_setting( 'theme_options[enable_breadcrumb]',
    array(
        'default'           => $default['enable_breadcrumb'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'rt_health_sanitize_checkbox',
    )
);
$wp_customize->add_control( 'theme_options[enable_breadcrumb]',
    array(
        'label'    => esc_html__( 'Enable Breadcrumbs', 'rt-health' ),
        'section'  => 'header_image',
        'type'     => 'checkbox',
    )
);

/************************  Header Image ******************/
$wp_customize->add_setting('theme_options[header_image]', 
    array(
    'default'           => $default['header_image'],
    'sanitize_callback' => 'rt_health_sanitize_select'
    )
);
$wp_customize->add_control('theme_options[header_image]', 
    array(      
    'label'     => esc_html__('Choose Option for Header Image', 'rt-health'),
    'description'   => esc_html__('Featured Image works only in single page and single post.Header image is display if featured image is not set.', 'rt-health'),
    'section'   => 'header_image',
    'settings'  => 'theme_options[header_image]',
    'type'      => 'radio',
    'choices'   =>  array(
            'none'  => esc_html__('None', 'rt-health'),
            'header-image'  => esc_html__('Header Image', 'rt-health'),
            'post-thumbnail'    => esc_html__('Featured Image', 'rt-health'),
        )
    )
);

/****************  Header Setting Section starts ************/
$wp_customize->add_section('section_header', 
	array(    
	'title'       => esc_html__('Header Setting', 'rt-health'),
	'panel'       => 'theme_option_panel'    
	)
);

/********************* Enable Address Section ****************************/
$wp_customize->add_setting( 'theme_options[enable_header_address]',
    array(
        'default'           => $default['enable_header_address'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'rt_health_sanitize_checkbox',        
    )
);
$wp_customize->add_control( 'theme_options[enable_header_address]',
    array(
        'label'    => esc_html__( 'Enable Header Address', 'rt-health' ),
        'section'  => 'section_header',
        'type'     => 'checkbox',
        'priority' => 10,       
    )
);

/******************** Adress Section **************************************/
$wp_customize->add_setting( 'theme_options[address_secton]', array(
    'sanitize_callback' => 'rt_health_sanitize_repeater',
    'default' => json_encode(
        array(
            array(
                'enable_header_icon' => true,
                'header_icon'     => '',
                'header_address'  => '',
                'header_url'      => '',
                'header_desc'     => '',
            )
        )
    )
));

$wp_customize->add_control(  new RT_Health_Repeater_Controler( $wp_customize, 'theme_options[address_secton]', 
    array(
        'label'             => esc_html__('Address Options','rt-health'),
        'section'           => 'section_header',
        'box_label'         => esc_html__('Address','rt-health'),
        'box_add_control'   => esc_html__('Add Address','rt-health'),
        'active_callback'    => 'rt_health_header_address',
        'priority' => 15,   
    ),
    array(
        'enable_header_icon' => array(
        'type'        => 'checkbox',
        'label'       => esc_html__( 'Enable Icon', 'rt-health' ), 
        'default'     => true,               
        ),

        'header_icon' => array(
        'type'        => 'icon',
        'label'       => esc_html__( 'Icon', 'rt-health' ), 
        'default'     => '',               
        ),          
           
        'header_address' => array(
        'type'        => 'text',
        'label'       => esc_html__( 'Header Address', 'rt-health' ),
        'default'     => '',		       
    	),

        'header_url'  => array(
        'type'        => 'text',
        'label'       => esc_html__( 'Header Address Url', 'rt-health' ),
        'default'     => '',               
        ),        

        'header_desc' => array(
        'type'        => 'text',
        'label'       => esc_html__( 'Header Address Description', 'rt-health' ),
        'description' => esc_html__( 'Leave blank if you donot want to display header description.', 'rt-health' ),
        'default'     => '',               
        ),        
    )
));

/********************* Enable Last Item ****************************/
$wp_customize->add_setting( 'theme_options[enable_header_button]',
    array(
        'default'           => $default['enable_header_button'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'rt_health_sanitize_checkbox',
    )
);
$wp_customize->add_control( 'theme_options[enable_header_button]',
    array(
        'label'    => esc_html__( 'Enable Button', 'rt-health' ),
        'section'  => 'section_header',
        'type'     => 'checkbox',  
        'priority' => 20,          
    )
);

/************************  Button Text  ******************/
$wp_customize->add_setting( 'theme_options[button_text]',
    array(
    'default'           => $default['button_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',   
    )
);
$wp_customize->add_control( 'theme_options[button_text]',
    array(
    'label'    => esc_html__( 'Button Text', 'rt-health' ),
    'section'  => 'section_header',
    'type'     => 'text',  
    'priority' => 30,  
    'active_callback'    => 'rt_health_header_button',    
    )
);
/************************  Button Content  ******************/
$wp_customize->add_setting('theme_options[button_content]', 
    array(
    'default'           => $default['button_content'],
    'sanitize_callback' => 'rt_health_sanitize_select'
    )
);

$wp_customize->add_control('theme_options[button_content]', 
    array(      
    'label'     => esc_html__('Button Type', 'rt-health'),
    'section'   => 'section_header',
    'settings'  => 'theme_options[button_content]',
    'type'      => 'select',
    'choices'   =>  array(
            'url'  => esc_html__('Url', 'rt-health'),
            'widget'  => esc_html__('Popup', 'rt-health'),        
        ),
    'priority' => 40,
    'active_callback'    => 'rt_health_header_button',
    )
      
);
// Button Url
$wp_customize->add_setting( 'theme_options[button_url]', 
    array(
    'sanitize_callback'     => 'esc_url_raw',
    )
);

$wp_customize->add_control( 'theme_options[button_url]', 
    array(
    'label'     => esc_html__('Button Url','rt-health'),
    'type'      => 'url',
    'section'   => 'section_header',
    'settings'  => 'theme_options[button_url]',
    'priority' => 50, 
    'active_callback'    => 'rt_health_header_button_url', 
    )
);

/************************* Intro Page ******************************************/
$wp_customize->add_setting('theme_options[intro_page]', 
    array(
    'default'           => $default['intro_page'],
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'rt_health_sanitize_dropdown_pages'
    )
);

$wp_customize->add_control('theme_options[intro_page]', 
    array(
    'label'       => esc_html__('Select About Us Page', 'rt-health'),
    'description' => esc_html__( 'Select page from dropdown to show page content in popup.', 'rt-health' ), 
    'section'     => 'section_header',   
    'settings'    => 'theme_options[intro_page]',       
    'type'        => 'dropdown-pages',
    'priority' => 60,
    'active_callback'    => 'rt_health_header_button_popup',
    )
);